Subject: PMP> RE: Last Call: IANA Charset Registration Procedures to BCP

From: "McDonald, Ira" <[email-masked]>
Date: Wed, 31 May 2000 10:35:45 -0700

Hi Harald,                                       Wednesday (31 May 2000)

You said you couldn't find a reference to the 'cs' prefix in RFC 1759.

From the DESCRIPTION clause of the 'CodedCharSet' textual convention
definition, on page 26 of RFC 1759, Printer MIB:

>     The current list of character sets and their enumerated
>     values used to reference them is contained in the IANA
>     Character Set registry.  The enum value is indicated by
>     the MIBenum entry in the registry.  The enum symbol is
>     indicated by the Alias that starts with `cs' for character
>     set.

See my previous note about this algorithm for deriving MIB enum symbol
(which must not contain hyphens by SMIv2 rules) from the charset Alias
that starts 'cs'.

We should abandon this use of an Alias and instead use regular transform
rules from the charset's registered Name (delete hyphens, capitalize the
following letter after a hyphen, etc.) to form a symbol that is SMIv2
compliant.  This same mapping is already used between Internet Printing
Protocol (IPP/1.0, RFC 2565/2566) and the Job Monitoring MIB (RFC 2707)
for job and printer state names.

Cheers,
- Ira McDonald, consulting architect at Sharp and Xerox
  (contributing editor to Printer MIB v2 work-in-progress)

-----Original Message-----
From: McDonald, Ira [mailto:[email-masked]]
Sent: Wednesday, May 31, 2000 9:49 AM
To: 'Harald Tveit Alvestrand'; Martin J. Duerst; [email-masked];
[email-masked]
Cc: [email-masked]'
Subject: RE: Last Call: IANA Charset Registration Procedures to BCP

Hi Harald,

The only reason for the continued use of the 'cs' prefix in 
the MIBenum aliases for the Printer MIB (RFC 1759) is simply 
continued support for the machine transform to the 'tag' of 
each enumeration in the MIB (i.e., strip the 'cs' prefix).

The Printer MIB folks would probably be happy to remove the
extra charset alias - if we make clear that when the 'cs'
alias isn't present the base registered name of the charset
should be used as MIB enum tag - and this is required for
all future charset registrations.

I've copied the Printer MIB WG mailing list on this reply.

Cheers,
- Ira McDonald, consulting architect at Sharp and Xerox
  (contributing editor to Printer MIB v2 work-in-progress)

-----Original Message-----
From: Harald Tveit Alvestrand [mailto:[email-masked]]
Sent: Wednesday, May 31, 2000 5:35 AM
To: Martin J. Duerst; [email-masked]; [email-masked]
Subject: Re: Last Call: IANA Charset Registration Procedures to BCP

No show-stoppers for me either.

At 21:17 31.05.2000 +0900, Martin J. Duerst wrote:

>- 'All registered charsets MUST be specified in a *stable*':
>   What about extensions, such as for ISO 10646? What about
>   variants, such as for Shift_JIS (vendor extensions as well
>   as mapping variants, for the later see
>   e.g. http://www.w3.org/TR/japanese-xml/).

I think the stable reference should explain how to deal with
extensions, just like the UTF-8 registration in 2279 explains how to
deal with extensions of 10646.
If it doesn't, we'll just assume that it's frozen forever.....?

>- 3.6: The requirement of documenting the mapping to ISO 10646
>   where possible is great. It may be worth for the IETF to look
>   at formats to do this in a machine-readable way. For an example,
>   please have a look at http://www.unicode.org/unicode/reports/tr22/.

A "for example" reference could be useful.

>- 4.2: 'Decisions made by the reviewer must be posted to the ietf-
>   charsets mailing within 14 days.': Within 14 days of the decision?
>   That would be pretty easy; nobody can prove to the reviewer that
>   he made a decision three months ago if he forgot to post it and
>   claims that it took him three month to actually take the decision :-).

the intent is within 14 days of the submission of the charset to the list,
I think.
Human nature being what it is, the charset reviewer feels like making this 
a SHOULD......

I've got one more nit, which is new text since 2278:

>All charsets MUST be assigned a name that provides a display
>string for the associated "MIBenum" value defined below. These
>"MIBenum" values are defined by and used in the Printer MIB
>[RFC-1759]. Such names MUST begin with the letters "cs" and
>MUST contain no more than 40 characters (including the "cs"
>prefix) chosen from from the printable subset of US-ASCII.
>Only one name beginning with "cs" may be assigned to a single
>charset. If no name of this form is explicitly defined IANA
>will assign an alias consisting of "cs" prepended to the
>primary charset name.

I tried to find the requirement for the cs prefix in 1759 and failed.
Since this flies directly into the face of the idea that we want fewer 
names, not more, would it be possible to remove this requirement?

                      Harald

--
Harald Tveit Alvestrand, EDB Maxware, Norway
[email-masked]